List files
curl --request GET \
--url https://api.phylo.bio/v1/experimental/files \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.phylo.bio/v1/experimental/files"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.phylo.bio/v1/experimental/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "list",
"data": [
{
"id": "file_010kaWC7SjxErybg3OdscqX8",
"type": "file",
"created_at": "2026-08-12T22:06:06.837000Z",
"filename": "wgs_sample.cram",
"size_bytes": 21474836480,
"purpose": "input",
"mime_type": "application/octet-stream",
"project_id": "prj_014OwAG97UY0UfcHlLHQRnKO",
"platform": "api"
},
{
"id": "file_017jG6PPIYy41dqnVz47lrmo",
"type": "file",
"created_at": "2026-08-12T22:05:08.095000Z",
"filename": "patient001_brca1.vcf",
"size_bytes": 4321,
"purpose": "input",
"mime_type": "text/plain",
"project_id": "prj_014OwAG97UY0UfcHlLHQRnKO",
"platform": "api"
}
],
"has_more": false,
"first_id": "file_010kaWC7SjxErybg3OdscqX8",
"last_id": "file_017jG6PPIYy41dqnVz47lrmo"
}Files
List files
List the files uploaded to a project.
GET
/
experimental
/
files
List files
Returns metadata, not contents. Download a file with
GET /experimental/files/{id}/content. Pass a file’s id in file_ids on POST /experimental/tasks/{id}/messages to attach it to a task.Authorizations
Requires an API key. See the Authentication guide.
Query Parameters
Maximum objects to return.
Required range:
1 <= x <= 100